Package com.microblink.blinkid.metadata.detection.quad

# Class DisplayableQuadDetection

java.lang.Object
com.microblink.blinkid.metadata.DisplayableObject
com.microblink.blinkid.metadata.detection.DisplayableDetection
com.microblink.blinkid.metadata.detection.quad.DisplayableQuadDetection

public final class DisplayableQuadDetection extends DisplayableDetection
Represents a quad-like detection that can be displayed on screen.

- ## Field Summary

  ### Fields inherited from class com.microblink.blinkid.metadata.detection.DisplayableDetection

  `mDetectionStatus`

  ### Fields inherited from class com.microblink.blinkid.metadata.DisplayableObject

  `mTransformMatrix`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DisplayableQuadDetection(int detectionStatus, float[] transformMatrix, float[] displayLocation)`
  Constructor for displayable quad detection.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Quadrilateral`
  `getDisplayLocation()`
  Returns the display location in coordinate system of image on which detection was performed.
  `Quadrilateral`
  `getTransformedDisplayLocation()`
  Returns the display location in normalized coordinate system of visible camera frame.

  ### Methods inherited from class com.microblink.blinkid.metadata.detection.DisplayableDetection

  `getDetectionStatus`

  ### Methods inherited from class com.microblink.blinkid.metadata.DisplayableObject

  `getTransformMatrix`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DisplayableQuadDetection

    public DisplayableQuadDetection(int detectionStatus, @Size(9L) @NonNull float[] transformMatrix, @Size(8L) @NonNull float[] displayLocation)
    Constructor for displayable quad detection. Usually invoked from native code.
    Parameters:
      `detectionStatus` - Detection status from native library.
      `transformMatrix` - Transformation matrix from native library.
      `displayLocation` - Display location in coordinate system of image on which detection was performed

- ## Method Details

  - ### getDisplayLocation

    @NonNull public Quadrilateral getDisplayLocation()
    Returns the display location in coordinate system of image on which detection was performed.
    Returns:
      the display location in coordinate system of image on which detection was performed.

  - ### getTransformedDisplayLocation

    @NonNull public Quadrilateral getTransformedDisplayLocation()
    Returns the display location in normalized coordinate system of visible camera frame. The normalized coordinate system of visible camera frame is coordinate system whose top left position is at coordinates (0,0), and bottom right is at coordinates (1,1). It is oriented in landscape right orientation. For more information about display location, see `getDisplayLocation()`.
    Returns:
      the display location in normalized coordinate system of visible camera frame.